Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.help
Interface HelpViewerInterface

All Known Implementing Classes:
  HelpViewer

    public interface HelpViewerInterface

Interface supported by all HelpViewer classes. Currently used by @ref infoviewer.InfoViewerPlugin and @ref HelpViewer

Since:
  Jedit 4.2pre5

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)`
`void` | `dispose()` Called when the helpviewer is closed
`java.lang.String` | `getBaseURL()`
`java.awt.Component` | `getComponent()`
`java.lang.String` | `getShortURL()`
`void` | `gotoURL(java.lang.String url, boolean addToHistory, int scrollPos)`
`void` | `queueTOCReload()`
`void` | `setTitle(java.lang.String newTitle)`

Method Detail

### gotoURL

    void gotoURL(java.lang.String url,
                 boolean addToHistory,
                 int scrollPos)

  Parameters:
    `url` -
    `addToHistory` -
    `scrollPos` - desired vertical scrollbar position after we go there

### getBaseURL

    java.lang.String getBaseURL()

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener l)

### dispose

    void dispose()

  Called when the helpviewer is closed

### getComponent

    java.awt.Component getComponent()

  Returns:
    the root pane of this help viewer

### getShortURL

    java.lang.String getShortURL()

### queueTOCReload

    void queueTOCReload()

### setTitle

    void setTitle(java.lang.String newTitle)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD